package com.ruoyi.powerdistribution.domain;

import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 配网参数配置对象 pdm_par
 * 
 * @author ruoyi
 * @date 2024-12-04
 */
@Data
public class PdmPar extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long id;

    /** 编码 */
    @Excel(name = "编码")
    private String parCode;

    /** 名称 */
    @Excel(name = "名称")
    private String parName;

    /** 值 */
    @Excel(name = "值")
    private String parValue;

    /** 计量单位 */
    @Excel(name = "计量单位")
    private String parUnit;

    private String parUnitCn;

    private String parType;

    private String parField;

    private String status;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setParCode(String parCode) 
    {
        this.parCode = parCode;
    }

    public String getParCode() 
    {
        return parCode;
    }
    public void setParName(String parName) 
    {
        this.parName = parName;
    }

    public String getParName() 
    {
        return parName;
    }
    public void setParValue(String parValue) 
    {
        this.parValue = parValue;
    }

    public String getParValue() 
    {
        return parValue;
    }
    public void setParUnit(String parUnit) 
    {
        this.parUnit = parUnit;
    }

    public String getParUnit() 
    {
        return parUnit;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("parCode", getParCode())
            .append("parName", getParName())
            .append("parValue", getParValue())
            .append("parUnit", getParUnit())
            .append("remark", getRemark())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
